Bug 16414 - [3.4 Regression]: Gcc 3.4 ICE on valid code
Summary: [3.4 Regression]: Gcc 3.4 ICE on valid code
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 3.4.1
: P2 normal
Target Milestone: 3.4.2
Assignee: Vladimir Makarov
URL:
Keywords:
Depends on:
Blocks: 16278
  Show dependency treegraph
 
Reported: 2004-07-07 19:38 UTC by H.J. Lu
Modified: 2005-07-23 22:49 UTC (History)
2 users (show)

See Also:
Host: ia64-unknown-linux-gnu
Target: ia64-unknown-linux-gnu
Build: ia64-unknown-linux-gnu
Known to work:
Known to fail:
Last reconfirmed:


Attachments
A testcase (281 bytes, text/plain)
2004-07-07 19:39 UTC, H.J. Lu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2004-07-07 19:38:49 UTC
Another Itanium 1 regression:

/export/build/gnu/gcc-3.4/build-ia64-linux/gcc/xgcc
-B/export/build/gnu/gcc-3.4/build-ia64-linux/gcc/ -O2 -mtune=itanium -c foo4.c
foo4.c: In function `sba_alloc_range':
foo4.c:23: internal compiler error: in bundling, at config/ia64/ia64.c:7367
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
Comment 1 H.J. Lu 2004-07-07 19:39:47 UTC
Created attachment 6707 [details]
A testcase
Comment 2 CVS Commits 2004-07-08 22:13:55 UTC
Subject: Bug 16414

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	vmakarov@gcc.gnu.org	2004-07-08 22:13:43

Modified files:
	gcc            : ChangeLog 
	gcc/config/ia64: ia64.c 

Log message:
	2004-07-08  Vladimir Makarov  <vmakarov@redhat.com>
	
	PR target/16414
	* config/ia64/ia64.c (ia64_dfa_new_cycle): Fix typo in comparison
	of asm_noperands result.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.4394&r2=2.4395
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/ia64/ia64.c.diff?cvsroot=gcc&r1=1.298&r2=1.299

Comment 3 CVS Commits 2004-07-08 22:15:52 UTC
Subject: Bug 16414

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-3_4-branch
Changes by:	vmakarov@gcc.gnu.org	2004-07-08 22:15:48

Modified files:
	gcc            : ChangeLog 
	gcc/config/ia64: ia64.c 

Log message:
	2004-07-08  Vladimir Makarov  <vmakarov@redhat.com>
	
	PR target/16414
	* config/ia64/ia64.c (ia64_dfa_new_cycle): Fix typo in comparison
	of asm_noperands result.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=2.2326.2.542&r2=2.2326.2.543
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/ia64/ia64.c.diff?cvsroot=gcc&only_with_tag=gcc-3_4-branch&r1=1.265.2.11&r2=1.265.2.12

Comment 4 Andrew Pinski 2004-07-08 22:27:44 UTC
Fixed.